function I=simswitchdepart(lambda,mu,T)
%Usage: I=simswitchdepart(lambda,mu,T)
%Poisson arrivals, rate lambda
%Exponential (mu) call duration
%Over time [0,T], returns I, 
%the vector of inter-departure times
%M(i) = no. of calls at time t(i)
s=poissonarrivals(lambda,T);
y=s+exponentialrv(mu,length(s));
y=sort(y);
n=length(y);
I=y-[0; y(1:n-1)]; %interdeparture times
imax=max(I);b=ceil(n/100);
id=imax/b; x=id/2:id:imax;
pd=hist(I,x); pd=pd/sum(pd);
px=exponentialpdf(lambda,x)*id;
plot(x,px,x,pd);
xlabel('\it x');ylabel('Probability');
legend('Exponential PDF','Relative Frequency');